%global	name	guvcview
%global	version	2.0.4
%global	release	%mkrel 1

Summary:        GTK+ UVC Viewer and Capturer
Summary(de):	GTK+ UVC Betrachter und Aufzeichnen
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:          Video
License:        GPLv3+
URL:            http://guvcview.sourceforge.net/
Source0:        http://sourceforge.net/projects/%{name}/files/source/%{name}-src-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  %{_lib}ffmpeg-devel
BuildRequires:  %{_lib}gsl-devel
BuildRequires:  %{_lib}gtk+3.0-devel
BuildRequires:  %{_lib}png-devel
BuildRequires:  %{_lib}portaudio-devel
BuildRequires:  %{_lib}pulseaudio-devel
BuildRequires:  %{_lib}sdl2.0-devel
BuildRequires:  %{_lib}SDL-devel
BuildRequires:  %{_lib}udev0-devel
BuildRequires:  %{_lib}v4l-devel
%ifarch %{ix86}
BuildRequires:  libatlas-devel
%else
BuildRequires:  libatlas-x86_64-devel
%endif
BuildRequires:	libpthread-stubs
Requires: 	gtk+3.0
#------------------------------------
Obsoletes:	%{_lib}guvcview1.1_1
Obsoletes:	%{_lib}guvcview-devel
#------------------------------------

%description
A simple GTK interface for capturing and viewing video from devices
supported by the Linux UVC driver, although it should also work with
any v4l2 compatible device.

%description -l de
Ein einfaches GTK-Interface zur Erfassung und Anzeige von Videos durch
den Linux-UVC-Treiber, sollte aber auch mit jedem v4l2-kompatiblen Gerät
zusammen arbeiten.

%prep
%setup -q -n %{name}-src-%{version}

%build
autoreconf -fi
%configure2_5x \
  --disable-debian-menu \
  --disable-silent-rules \
  --disable-static
%make

%install
%__rm -rf %{buildroot}
%make_install

desktop-file-install \
  --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir %{buildroot}%{_desktopdir} %{buildroot}%{_desktopdir}/%{name}.desktop

%__sed -i '/^Name/s/guvcview/Guvcview/gI' %{buildroot}%{_desktopdir}/%{name}.desktop

%find_lang %{name}
%find_lang gview_v4l2core

%__mv %{buildroot}%{_defaultdocdir}/%{name} _doc
%__rm _doc/INSTALL

find %{buildroot} -name '*.la' -exec %__rm -f {} ';'

#kill these
rm -rf %{buildroot}%{_includedir}
rm -f %{buildroot}%{_libdir}/*.so
rm -f %{buildroot}%{_libdir}/pkgconfig/*.pc


%clean
%__rm -rf %{buildroot}

%files -n %{name} -f %{name}.lang -f gview_v4l2core.lang
%defattr(-,root,root)
%doc _doc/*
%{_bindir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_mandir}/man1/%{name}.1.*
%{_datadir}/pixmaps/%{name}
%{_libdir}/*.so.*


%changelog
* Fri Jun 03 2016 woodhead <pp> 2.0.4-1pclos2016
- update

* Thu Jan 14 2016 bb <bb> 2.0.2-2pclos2016
- dont split library file for single apps
- fix rpm group to Video
- lets drop unneeded devel package since nothing is
- going to be compiled against it

* Tue Jan 12 2016 marcin82 <fixxer1982@gmail.com> 2.0.2-1pclos2016
- Update, changes in spec file. Patch0 source:
  http://sophie.zarb.org/rpms/32589a1cec029d1c358b51bfc6cafecd/files/1

* Tue Nov 18 2014 bb <bb> 1.7.3-2pclos2014
- rebuild ffmpeg 2.4.3

* Sat Mar 22 2014 bb <bb> 1.7.3-1pclos2014
- update

* Thu Oct 10 2013 bb <bb> 1.7.1-2pclos2013
- rebuild for new ffmpeg 2.0
